Skip to main content
POST
/
deals
/
{id}
/
close
Close a deal
curl --request POST \
  --url https://app.leonar.app/api/v1/deals/{id}/close \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "won",
  "signed_amount": 123,
  "actual_close_date": "2023-12-25",
  "close_reason_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "loss_reason_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "id": "c3d4e5f6-7890-12ab-cdef-345678901bcd",
    "title": "Recruitment - 3 Senior Engineers",
    "status": "open",
    "amount": 45000,
    "signed_amount": null,
    "currency": "EUR",
    "expected_amount": 45000,
    "expected_close_date": "2025-03-15",
    "probability": 60,
    "pipeline_id": "d4e5f6a7-8901-23bc-defa-456789012cde",
    "stage_id": "e5f6a7b8-9012-34cd-efab-567890123def",
    "company_id": "b2c3d4e5-6789-01ab-cdef-234567890abc",
    "owner_id": "f6a7b8c9-0123-45de-fabc-678901234ef0",
    "closed_at": null,
    "created_at": "2025-02-01T10:00:00Z",
    "updated_at": "2025-02-10T15:30:00Z",
    "archived_at": null
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Path Parameters

id
string<uuid>
required

Deal ID

Body

application/json
status
enum<string>
required
Available options:
won,
lost,
disqualified
signed_amount
number
actual_close_date
string<date>
close_reason_id
string<uuid>
loss_reason_id
string<uuid>

Response

Deal closed

data
object
Example:
{
"id": "c3d4e5f6-7890-12ab-cdef-345678901bcd",
"title": "Recruitment - 3 Senior Engineers",
"status": "open",
"amount": 45000,
"signed_amount": null,
"currency": "EUR",
"expected_amount": 45000,
"expected_close_date": "2025-03-15",
"probability": 60,
"pipeline_id": "d4e5f6a7-8901-23bc-defa-456789012cde",
"stage_id": "e5f6a7b8-9012-34cd-efab-567890123def",
"company_id": "b2c3d4e5-6789-01ab-cdef-234567890abc",
"owner_id": "f6a7b8c9-0123-45de-fabc-678901234ef0",
"closed_at": null,
"created_at": "2025-02-01T10:00:00Z",
"updated_at": "2025-02-10T15:30:00Z",
"archived_at": null
}